OpenTTD GameScript API: Data Fields

OpenTTD GameScript API 15.0-beta1

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- Save() : GSController
- SaveLoadWidgets : GSWindow
- SavePresetWidgets : GSWindow
- ScanProgressWidgets : GSWindow
- ScreenshotWindowWidgets : GSWindow
- ScrollClientTo() : GSViewport
- ScrollCompanyClientsTo() : GSViewport
- ScrollEveryoneTo() : GSViewport
- ScrollTo() : GSViewport
- SelectCompanyLiveryWidgets : GSWindow
- SelectCompanyManagerFaceWidgets : GSWindow
- SelectGameIntroWidgets : GSWindow
- SellVehicle() : GSVehicle
- SellWagon() : GSVehicle
- SellWagonChain() : GSVehicle
- Send() : GSAdmin
- SendVehicleToDepot() : GSVehicle
- SendVehicleToDepotForServicing() : GSVehicle
- SetAutoRenewMoney() : GSCompany
- SetAutoRenewMonths() : GSCompany
- SetAutoRenewStatus() : GSCompany
- SetAutoReplace() : GSGroup
- SetCargoGoal() : GSTown
- SetCommandDelay() : GSController
- SetCompleted() : GSGoal
- SetControlFlags() : GSIndustry
- SetCurrentRailType() : GSRail
- SetCurrentRoadType() : GSRoad
- SetDate() : GSStoryPage
- SetDateWidgets : GSWindow
- SetDestination() : GSGoal
- SetExclusiveConsumer() : GSIndustry
- SetExclusiveSupplier() : GSIndustry
- SetGrowthRate() : GSTown
- SetLoanAmount() : GSCompany
- SetMaxLoanAmountForCompany() : GSCompany
- SetMinimumLoanAmount() : GSCompany
- SetName() : GSBaseStation, GSCompany, GSGroup, GSSign, GSTown, GSVehicle
- SetOrderCompareFunction() : GSOrder
- SetOrderCompareValue() : GSOrder
- SetOrderCondition() : GSOrder
- SetOrderFlags() : GSOrder
- SetOrderJumpTo() : GSOrder
- SetOrderRefit() : GSOrder
- SetParent() : GSGroup
- SetPresidentGender() : GSCompany
- SetPresidentName() : GSCompany
- SetPrimaryColour() : GSGroup
- SetPrimaryLiveryColour() : GSCompany
- SetProductionLevel() : GSIndustry
- SetProgress() : GSGoal
- SetSecondaryColour() : GSGroup
- SetSecondaryLiveryColour() : GSCompany
- SetStopLocation() : GSOrder
- SetText() : GSGoal, GSIndustry, GSTown
- SetTitle() : GSStoryPage
- SetValue() : GSGameSettings, GSList
- ShareOrders() : GSOrder
- Show() : GSStoryPage
- SignalType : GSRail
- SIGNALTYPE_COMBO : GSRail
- SIGNALTYPE_COMBO_TWOWAY : GSRail
- SIGNALTYPE_ENTRY : GSRail
- SIGNALTYPE_ENTRY_TWOWAY : GSRail
- SIGNALTYPE_EXIT : GSRail
- SIGNALTYPE_EXIT_TWOWAY : GSRail
- SIGNALTYPE_NONE : GSRail
- SIGNALTYPE_NORMAL : GSRail
- SIGNALTYPE_NORMAL_TWOWAY : GSRail
- SIGNALTYPE_PBS : GSRail
- SIGNALTYPE_PBS_ONEWAY : GSRail
- SIGNALTYPE_TWOWAY : GSRail
- SignListWidgets : GSWindow
- SkipToOrder() : GSOrder
- Sleep() : GSController
- Slope : GSTile
- SLOPE_E : GSTile
- SLOPE_ELEVATED : GSTile
- SLOPE_ENW : GSTile
- SLOPE_EW : GSTile
- SLOPE_FLAT : GSTile
- SLOPE_INVALID : GSTile
- SLOPE_N : GSTile
- SLOPE_NE : GSTile
- SLOPE_NS : GSTile
- SLOPE_NW : GSTile
- SLOPE_NWS : GSTile
- SLOPE_S : GSTile
- SLOPE_SE : GSTile
- SLOPE_SEN : GSTile
- SLOPE_STEEP : GSTile
- SLOPE_STEEP_E : GSTile
- SLOPE_STEEP_N : GSTile
- SLOPE_STEEP_S : GSTile
- SLOPE_STEEP_W : GSTile
- SLOPE_SW : GSTile
- SLOPE_W : GSTile
- SLOPE_WSE : GSTile
- SmallMapWidgets : GSWindow
- Sort() : GSList
- SORT_ASCENDING : GSList
- SORT_BY_ITEM : GSList
- SORT_BY_VALUE : GSList
- SORT_DESCENDING : GSList
- SorterType : GSList
- SPBF_FLOAT_LEFT : GSStoryPage
- SPBF_FLOAT_RIGHT : GSStoryPage
- SPBF_NONE : GSStoryPage
- SpecialCargoID : GSCargo
- SpecialIndustryType : GSIndustryType
- SpecialStationIDs : GSBaseStation
- SPET_BUTTON_PUSH : GSStoryPage
- SPET_BUTTON_TILE : GSStoryPage
- SPET_BUTTON_VEHICLE : GSStoryPage
- SPET_GOAL : GSStoryPage
- SPET_LOCATION : GSStoryPage
- SPET_TEXT : GSStoryPage
- SpriteAlignerWidgets : GSWindow
- SPT_INDUSTRY : GSSubsidy
- SPT_INVALID : GSSubsidy
- SPT_TOWN : GSSubsidy
- Start() : GSController
- StartStopVehicle() : GSVehicle
- STATION_AIRPORT : GSStation
- STATION_ANY : GSStation
- STATION_BUS_STOP : GSStation
- STATION_DOCK : GSStation
- STATION_INVALID : GSBaseStation
- STATION_JOIN_ADJACENT : GSBaseStation
- STATION_NEW : GSBaseStation
- STATION_TRAIN : GSStation
- STATION_TRUCK_STOP : GSStation
- StationListWidgets : GSWindow
- StationType : GSStation
- StationViewWidgets : GSWindow
- StatusbarWidgets : GSWindow
- StopAllMonitoring() : GSCargoMonitor
- StopAutoReplace() : GSGroup
- StopLocation : GSOrder
- STOPLOCATION_FAR : GSOrder
- STOPLOCATION_INVALID : GSOrder
- STOPLOCATION_MIDDLE : GSOrder
- STOPLOCATION_NEAR : GSOrder
- STORY_PAGE_ELEMENT_INVALID : GSStoryPage
- STORY_PAGE_INVALID : GSStoryPage
- StoryBookWidgets : GSWindow
- StoryPageButtonColour : GSStoryPage
- StoryPageButtonCursor : GSStoryPage
- StoryPageButtonFlags : GSStoryPage
- StoryPageElementID : GSStoryPage
- StoryPageElementType : GSStoryPage
- StoryPageID : GSStoryPage
- SubsidyListWidgets : GSWindow
- SubsidyParticipantType : GSSubsidy
- SwapList() : GSList